reinitialize
bg_color white
set ignore_case, 0

####### load structure ######## 
load ./files/1VY4_LSU_rRNA+rProtein.pdb, 1VY4

############# Define RNA #############
#__________Create RNA Chains in Thermus thermophilus - 1VY4__________
create 23S, 1VY4 and chain A
create 5S, 1VY4 and chain B
create A_tRNA, 1VY4 and chain J
create P_tRNA, 1VY4 and chain K
create E_tRNA, 1VY4 and chain L

######### Define Protein #############	

create uL02, 1VY4 and chain D	
color red, uL02
create uL03, 1VY4 and chain E
color orange, uL03
create uL04, 1VY4 and chain F
color yellow, uL04
create uL13, 1VY4 and chain N
color green, uL13
create uL15, 1VY4 and chain P
color blue, uL15

##################################################################
########################## LSU  Protein EVO ##############################
##################################################################

################## uL02 ################################################

create uL02_phase3, uL02 and resi 226-242
create uL02_phase4, uL02 and (resi 217-225 or resi 243-260)
create uL02_phase5, uL02 and (resi 120-216 or resi 261-276)
create uL02_phase6, uL02 and resi 2-119

################## uL03 ################################################

create uL03_phase3, uL03 and resi 123-155
create uL03_phase4, uL03 and (resi 113-122 or resi 156-159)
create uL03_phase5, uL03 and (resi 1-30 or resi 92-112 or resi 160-204)
create uL03_phase6, uL03 and resi 31-91

################## uL04 ################################################

create uL04_phase3, uL04 and resi 54-87
create uL04_phase4, uL04 and (resi 44-53 or resi 88-98)
create uL04_phase6, uL04 and (resi 6-43 or resi 99-207)

alter uL04_phase4, ss='S'

################## uL13 ################################################

create uL13_phase3, uL13 and resi 76-81
create uL13_phase4, uL13 and (resi 70-75 or resi 82-87)
create uL13_phase6, uL13 and (resi 1-69 or resi 88-140)

alter uL13_phase4, ss='S'

################## uL15 ################################################
create uL15_phase3, uL15 and resi 20-40
create uL15_phase4, uL15 and (resi 1-19 or resi 41-63)
create uL15_phase5, uL15 and resi 64-78
create uL15_phase6, uL15 and resi 79-149

rebuild

########### Where PTC rxn happens #############
from pymol.cgo import *
from pymol import cmd

spherelist = [SPHERE, -50.567, 123.264, 155.840, 5]
cmd.load_cgo(spherelist, 'PTC',   1)
show cgo, PTC
color sand, PTC

################ Representaions ################

disable
as cartoon

#___ Color settings ___
color 0x00A44B, *phase3
color 0xF1E312, *phase4
color 0xE57224, *phase5
color 0xE01E26, *phase6
color grey80, 23S
color grey50, 5S
color magenta, A_tRNA
color cyan, P_tRNA
color lime, E_tRNA

#___ RNA cartoon settings ___
set cartoon_ladder_mode, 0
set cartoon_loop_radius,0.4
set cartoon_tube_radius,0.8
set cartoon_ladder_radius,0.4
set cartoon_oval_length,1.2
set cartoon_oval_width,0.40

#___ Protein cartoon settings ___
set cartoon_highlight_color, grey30
enable uL04_phase*

set_view (\
     0.297996819,   -0.661591232,    0.688106418,\
    -0.663414717,    0.374773651,    0.647629797,\
    -0.686350822,   -0.649490535,   -0.327229083,\
     0.000481442,    0.001240224, -264.581268311,\
   -43.245540619,  177.269042969,  195.971038818,\
   206.046096802,  323.065734863,  -20.000001907 )
### cut above here and paste into script ### 